\documentclass[11pt]{standalone}
\usepackage{stanli}

\begin{document}
    
\begin{tikzpicture}

\scaling{1.4}

%% Structure
\point{a}{0}{1.5};
\point{b}{2}{1.5};
\point{c}{4}{1.5};
\point{d}{2}{0}; 
\point{e}{2}{1.75}; % For plotting purposes

\beam{2}{a}{b};
\beam{2}{b}{c};
\beam{2}{d}{b};
\beam{2}{a}{d};
\beam{2}{c}{d};

\support{2}{a};
\support{1}{c};

\hinge{1}{a};
\hinge{1}{b};
\hinge{1}{c};
\hinge{1}{d};

\load{1}{d}[180];
\load{1}{b}[90];

\dimensioning{1}{a}{b}{-1}[$3.2$~m];
\dimensioning{1}{b}{c}{-1}[$3.2$~m];
\dimensioning{2}{d}{b}{-1.4}[$2.4$~m];

\notation{1}{a}{$\bf 1$}[above=1mm];
\notation{1}{b}{$\bf 2$}[above right=1mm];
\notation{1}{c}{$\bf 3$}[above=1mm];
\notation{1}{d}{$\bf 4$}[below=1mm];

\notation{1}{d}{20 kN}[left=11mm];
\notation{1}{e}{10 kN}[above left=1mm];


\end{tikzpicture}

\end{document}